Skip to main content
POST
/
knowledge-base
/
{knowledgeBaseId}
/
train-urls
Train Discovered URLs
curl --request POST \
  --url https://services.leadconnectorhq.com/knowledge-base/{knowledgeBaseId}/train-urls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Version: <version>' \
  --data '
{
  "urls": [
    "https://www.example.com/about",
    "https://www.example.com/faq"
  ]
}
'
{
  "success": true,
  "message": "Training initiated for 2 URLs",
  "jobId": "job_xyz789"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

knowledgeBaseId
string
required

The knowledge base ID to train URLs for

Example:

"kb_abc123def456"

Body

application/json
urls
string[]
required

Array of URLs to train the knowledge base on

Example:
[
"https://www.example.com/about",
"https://www.example.com/faq"
]

Response

URL training initiated successfully

success
boolean

Whether the training job was initiated successfully

Example:

true

message
string

Status message

Example:

"Training initiated for 2 URLs"

jobId
string

Job ID for tracking the training progress

Example:

"job_xyz789"

Last modified on March 7, 2026